//
//  MyDocument.h
//  Tidsforbruk
//
//  Created by gerhardsletten on Sun Jan 30 2005.
//  Copyright (c) 2005 __MyCompanyName__. All rights reserved.
//

// MyDocument defines this as it may be used for copy and paste
// in addition to just drag and drop


#import <Cocoa/Cocoa.h>
#import "timeUtility.h"
#import "GSTimeSlice.h"
//#import "BannerView.h"

// For the DNDArrayController
extern NSString *CopiedRowsType;

@interface MyDocument : NSDocument
{
	NSMutableArray *timeArray;
	GSTimeSlice *recordingSlide;
	IBOutlet id arrayController;
	IBOutlet id timeTextField;
	IBOutlet id exportfield;
	IBOutlet id exportSheet;
	IBOutlet id editSheet;
	IBOutlet id mainWindow;
	IBOutlet id startButton;
	IBOutlet id stopButton;
	//IBOutlet id bannerView;
	
}

- (NSMutableArray *)timeArray;
- (void)setTimeArray:(NSMutableArray *)newTimeArray;

- (unsigned int)countOfTimeArray;
- (id)objectInTimeArrayAtIndex:(unsigned int)index;
- (void)insertObject:(id)anObject inTimeArrayAtIndex:(unsigned int)index;
- (void)removeObjectFromTimeArrayAtIndex:(unsigned int)index;
- (void)replaceObjectInTimeArrayAtIndex:(unsigned int)index withObject:(id)anObject;

- (IBAction) StartRecording:(id)sender;
- (IBAction) StopRecording:(id)sender;
- (IBAction) toggleWindow:(id)sender;
- (IBAction) exportData:(id)sender;
- (IBAction) startEditSheet:(id)sender;
- (IBAction) endEditSheet:(id)sender;
- (IBAction) startExportSheet:(id)sender;
- (IBAction) endExportSheet:(id)sender;

- (void) recordTimer:(NSTimer *)timer;
- (void) updateGUI;

- (void)close;
@end
